%define gtkhtml_major 3.1
%define libgnomeprint_version 2.7.1
%define gnome_icon_theme_version 1.2.3

Summary: gtkhtml library
Name: gtkhtml3
Version: 3.3.2
Release: 3
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gtkhtml/gtkhtml-%{version}.tar.bz2
BuildRoot: %{_tmppath}/gtkhtml-%{version}-root
BuildRequires: libgnomeui-devel >= 2.0
BuildRequires: libgnomeprint22-devel >= %{libgnomeprint_version}
BuildRequires: libgnomeprintui22-devel >= %{libgnomeprint_version}
BuildRequires: libglade2-devel >= 2.0
BuildRequires: gail-devel
BuildRequires: libtool, gettext
BuildRequires: intltool
BuildRequires: gnome-icon-theme >= %{gnome_icon_theme_version}
Requires: libgnomeprint22 >= %{libgnomeprint_version}
Requires: gnome-icon-theme >= %{gnome_icon_theme_version}

# Partial band-aid for an editing crash (bug #129844)
# http://bugzilla.ximian.com/show_bug.cgi?id=50052
Patch1: gtkhtml-3.3.0-crash.patch
# Patches from bugzilla.ximian.com #65670, #66206
Patch2: gtkhtml-3.3.2-imcommit.patch

%description
GtkHTML is a lightweight HTML rendering/printing/editing engine.  It
was originally based on KHTMLW, but is now being developed
independently of it.

%package devel
Summary: Libraries, includes, etc to develop gtkhtml applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgnomeui-devel >= 2.0
Requires: libgnomeprint22-devel >= 2.2.0
Requires: libgnomeprintui22-devel >= 2.2.1
Requires: libglade2-devel >= 2.0

%description devel
Libraries and include files that can be used to develop GtkHTML applications.

%prep
%setup -q -n gtkhtml-%{version}

%patch1 -p1 -b .crash
%patch2 -p1 -b .imcommit

%build
%configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/gtkhtml/*.la

%find_lang gtkhtml-%{gtkhtml_major}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gtkhtml-%{gtkhtml_major}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%{_libdir}/*.so.*
%{_libdir}/*.so.*
%{_libdir}/gtkhtml/*.so
%{_libdir}/bonobo/servers/*.server
%{_datadir}/gtkhtml-%{gtkhtml_major}

%files devel
%defattr(-, root, root)
%{_includedir}/libgtkhtml-%{gtkhtml_major}
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/gtkhtml/*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Sep 21 2004 Owen Taylor <otaylor@redhat.com> - 3.3.2-2
- Add a patch to fix input method commit issues (#Bug 130751)

* Thu Sep 16 2004 Owen Taylor <otaylor@redhat.com> - 3.3.2-1
- Upgrade to 3.3.2 (Fixes tab display, #132208, ordering
  issues with IM preedit #130751, Leon Ho)

* Fri Sep  3 2004 Owen Taylor <otaylor@redhat.com> - 3.3.1-1
- Upgrade to 3.3.1, includes GtkFileChoose support (#130039)

* Fri Aug 13 2004 Tim Waugh <twaugh@redhat.com> - 3.3.0-3
- Prevent a crash (bug #129844).

* Mon Aug  9 2004 Owen Taylor <otaylor@redhat.com> - 3.3.0-2
- Fix a problem where preformatted text wrapped at column 0

* Wed Aug  4 2004 Owen Taylor <otaylor@redhat.com> - 3.3.0-1
- Upgrade to 3.3.0 (gnome-2-8-devel branch)

* Mon Jul 26 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Thu Jul 22 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Thu Jul 22 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Thu Jul 22 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Tue Jul 20 2004 David Malcolm <dmalcolm@redhat.com> - 3.1.18-1
- 3.1.18

* Thu Jul  8 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Wed Jul  7 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Tue Jul  6 2004 David Malcolm <dmalcolm@redhat.com> - 3.1.17-1
- 3.1.17

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun  7 2004 David Malcolm <dmalcolm@redhat.com> - 3.1.16-2
- rebuilt

* Fri Jun  4 2004 David Malcolm <dmalcolm@redhat.com> - 3.1.16-1
- 3.1.16

* Fri May 21 2004 David Malcolm <dmalcolm@redhat.com> - 3.1.14-2
- rebuilt

* Thu May 20 2004 David Malcolm <dmalcolm@redhat.com> - 3.1.14-1
- 3.1.14

* Tue Apr 20 2004 David Malcolm <dmalcolm@redhat.com> - 3.1.12-1
- 3.1.12

* Wed Mar 10 2004 Jeremy Katz <katzj@redhat.com> - 3.1.9-1
- 3.1.9

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 17 2004 Jeremy Katz <katzj@redhat.com> - 3.1.8-1
- 3.1.8

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Jeremy Katz <katzj@redhat.com> - 3.1.7-1
- 3.1.7

* Wed Jan 14 2004 Jeremy Katz <katzj@redhat.com> 3.1.6-0
- update to 3.1.6

* Sat Jan  3 2004 Jeremy Katz <katzj@redhat.com> 3.1.5-0
- update to 3.1.5

* Thu Sep 25 2003 Jeremy Katz <katzj@redhat.com> 3.0.9-5
- rebuild

* Thu Sep 25 2003 Jeremy Katz <katzj@redhat.com> 3.0.9-4
- add patch for XIM (#91481)

* Tue Sep 23 2003 Jeremy Katz <katzj@redhat.com> 3.0.9-3
- rebuild

* Fri Sep 19 2003 Jeremy Katz <katzj@redhat.com> 3.0.9-2
- add patch to fix crash on ia64

* Fri Sep 19 2003 Jeremy Katz <katzj@redhat.com> 3.0.9-1
- 3.0.9

* Mon Sep  8 2003 Jeremy Katz <katzj@redhat.com> 
- add some buildrequires (#103901)

* Thu Sep  4 2003 Jeremy Katz <katzj@redhat.com> 3.0.8-3
- patch from upstream copy for new libbonobo oddities (#103730)

* Mon Aug  4 2003 Jeremy Katz <katzj@redhat.com> 3.0.8-1
- 3.0.8

* Thu Jul 10 2003 Jeremy Katz <katzj@redhat.com> 3.0.7-1
- 3.0.7

* Wed Jun 11 2003 Jeremy Katz <katzj@redhat.com> 
- add some buildrequires (#97181)

* Tue Jun 10 2003 Jeremy Katz <katzj@redhat.com> 3.0.5-2
- rebuild

* Mon Jun  9 2003 Jeremy Katz <katzj@redhat.com> 3.0.5-1
- 3.0.5

* Wed Jun 5 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun  5 2003 Jeremy Katz <katzj@redhat.com> 3.0.4-3
- rebuild

* Mon May 26 2003 Jeremy Katz <katzj@redhat.com> 3.0.4-2
- rebuild to fix deps

* Sun May 25 2003 Jeremy Katz <katzj@redhat.com> 3.0.4-1
- 3.0.4

* Tue May  6 2003 Jeremy Katz <katzj@redhat.com> 3.0.3-1
- 3.0.3

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 3.0.2-2
- libtool's revenge

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 3.0.2-1
- update to 3.0.2

* Sun Apr  6 2003 Jeremy Katz <katzj@redhat.com> 1.1.9-1
- update to 1.1.9

* Mon Mar 24 2003 Jeremy Katz <katzj@redhat.com> 1.1.8-6
- rebuild for new gal

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com> 1.1.8-5
- debuginfo rebuild

* Thu Feb 20 2003 Jeremy Katz <katzj@redhat.com> 1.1.8-4
- gtkhtml capplet doesn't need to be in the menus; it's configurable 
  from within evolution

* Mon Feb 10 2003 Akira TAGOH <tagoh@redhat.com> 1.1.8-3
- don't use fontset as default. (#83899)
- improve the default font for CJK.

* Sat Feb  8 2003 Akira TAGOH <tagoh@redhat.com> 1.1.8-2
- hack to modify po dynamically to add currect XLFD for CJK.
- re-enable patches.

* Fri Feb  7 2003 Jeremy Katz <katzj@redhat.com> 1.1.8-1
- 1.1.8
- disable tagoh's patch for now.  it's not applied upstream and ends up 
  backing out some translation changes

* Fri Feb  7 2003 Akira TAGOH <tagoh@redhat.com> 1.1.7-4
- gtkhtml-1.1.7-fixfont.patch: applied to allow fontset by default.
- gtkhtml-po.tar.bz2: to changes default display/print fonts for CJK.
  perhaps it should be removed when the upstream will releases the next version.
- gtkhtml-1.1.7-domain.patch: define GNOME_EXPLICIT_TRANSLATION_DOMAIN as gtkhtml-1.1.

* Wed Feb  5 2003 Bill Nottingham <notting@redhat.com> 1.1.7-2
- fix some spewage to stdout/stderr

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com> 1.1.7-1
- update to 1.1.7

* Tue Nov 12 2002 Jeremy Katz <katzj@redhat.com> 1.1.6-1
- update to 1.1.6

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com> 1.1.5-3
- rebuild to really fix Xlib paths now that gnome-libs is fixed

* Tue Nov  5 2002 Jeremy Katz <katzj@redhat.com> 1.1.5-2
- rebuild to fix Xlib paths in .pc files

* Fri Nov  1 2002 Jeremy Katz <katzj@redhat.com> 1.1.5-1
- update to 1.1.5

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com> 1.1.4-1
- remove unwanted files from buildroot
- update to 1.1.4

* Thu Sep 26 2002 Jeremy Katz <katzj@redhat.com>
- make sure we get all of the stuff from %%{_datadir}/gtkhtml-1.1

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.1.2

* Tue Jul 23 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem with finding the closest size

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.4
- remove .la files

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Jeremy Katz <katzj@redhat.com>
- tweak buildrequires for libcapplet0-devel

* Tue Mar 19 2002 Jeremy Katz <katzj@redhat.com>
- update to gtkhtml 1.0.2

* Thu Mar  7 2002 Jeremy Katz <katzj@redhat.com>
- remove superflous capplet entry (#59698)

* Mon Jan 14 2002 Jeremy Katz <katzj@redhat.com>
- rebuild to get rid of ridiculous libgal18 linkage

* Sat Jan 12 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.1

* Sun Dec  2 2001 Jeremy Katz <katzj@redhat.com>
- update to 1.0.0

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- update to 0.16.1

* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- updated to 0.16

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 0.15

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- 0.14
- remove --without-bonobo
- langify

* Mon Aug 20 2001 Alexander Larsson <alexl@redhat.com> 0.9.2-9
- Moved gnome-conf file to the devel package
- Fixes SHOULD-FIX bug #49796

* Mon Jul 30 2001 Alexander Larsson <alexl@redhat.com> 
- Added dependencies on -devel packages from the gtkhtml-devel package

* Fri Jul 20 2001 Alexander Larsson <alexl@redhat.com>
- Add more build dependencies

* Thu Jul 17 2001 Bill Nottingham <notting@redhat.com>
- fix devel package requirements

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- changed bad groups
- laguified package

* Tue Jul 03 2001 Havoc Pennington <hp@redhat.com>
- fix X11/libraries -> X11/Libraries, #47137 

* Wed Jun 13 2001 Bill Nottingham <notting@redhat.com>
- fix brokenness due to gal damage

* Wed Jun  6 2001 Bill Nottingham <notting@redhat.com>
- adapt included specfile
